/*******************************************************************************
* File Name: cycfg_peripherals.c
*
* Description:
* Peripheral Hardware Block configuration
* This file was automatically generated and should not be modified.
* Configurator Backend 3.0.0
* device-db 4.1.0.3437
* mtb-xmclib-cat3 4.1.0.3609
*
********************************************************************************
* Copyright 2023 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#include "cycfg_peripherals.h"

const XMC_UART_CH_CONFIG_t CYBSP_DEBUG_UART_config = 
{
    .baudrate = 115200UL,
    .normal_divider_mode = false,
    .data_bits = 8U,
    .frame_length = 8U,
    .stop_bits = 1U,
    .oversampling = 16U,
    .parity_mode = XMC_USIC_CH_PARITY_MODE_NONE,
};
const XMC_UART_CH_CONFIG_t usr_urat_config = 
{
    .baudrate = 9600UL,
    .normal_divider_mode = false,
    .data_bits = 8U,
    .frame_length = 8U,
    .stop_bits = 1U,
    .oversampling = 16U,
    .parity_mode = XMC_USIC_CH_PARITY_MODE_NONE,
};


void init_cycfg_peripherals(void)
{
    XMC_UART_CH_InitEx(CYBSP_DEBUG_UART_HW, &CYBSP_DEBUG_UART_config, false);
    XMC_UART_CH_SetInputSource(CYBSP_DEBUG_UART_HW, (XMC_UART_CH_INPUT_t)XMC_USIC_CH_INPUT_DX0, CYBSP_DEBUG_UART_DX0_INPUT);
    XMC_UART_CH_SetSamplePoint(CYBSP_DEBUG_UART_HW, 8U);
    XMC_USIC_CH_SetFractionalDivider(CYBSP_DEBUG_UART_HW, XMC_USIC_CH_BRG_CLOCK_DIVIDER_MODE_FRACTIONAL, 851U);
    XMC_USIC_CH_SetBaudrateDivider(CYBSP_DEBUG_UART_HW, XMC_USIC_CH_BRG_CLOCK_SOURCE_DIVIDER, false, 64U, XMC_USIC_CH_BRG_CTQSEL_PDIV, 0U, 15U);
    XMC_USIC_CH_SetInterruptNodePointer(CYBSP_DEBUG_UART_HW, XMC_USIC_CH_INTERRUPT_NODE_POINTER_RECEIVE, 0U);
    XMC_UART_CH_EnableEvent(CYBSP_DEBUG_UART_HW, XMC_UART_CH_EVENT_STANDARD_RECEIVE);
    XMC_UART_CH_Start(CYBSP_DEBUG_UART_HW);
    XMC_UART_CH_InitEx(usr_urat_HW, &usr_urat_config, false);
    XMC_UART_CH_SetInputSource(usr_urat_HW, (XMC_UART_CH_INPUT_t)XMC_USIC_CH_INPUT_DX0, usr_urat_DX0_INPUT);
    XMC_UART_CH_SetSamplePoint(usr_urat_HW, 8U);
    XMC_USIC_CH_SetFractionalDivider(usr_urat_HW, XMC_USIC_CH_BRG_CLOCK_DIVIDER_MODE_FRACTIONAL, 437U);
    XMC_USIC_CH_SetBaudrateDivider(usr_urat_HW, XMC_USIC_CH_BRG_CLOCK_SOURCE_DIVIDER, false, 400U, XMC_USIC_CH_BRG_CTQSEL_PDIV, 0U, 15U);
    XMC_USIC_CH_RXFIFO_Configure(usr_urat_HW, usr_urat_RXFIFO_DPTR, usr_urat_RXFIFO_SIZE, usr_urat_RXFIFO_LIMIT);
    XMC_USIC_CH_SetInterruptNodePointer(usr_urat_HW, XMC_USIC_CH_INTERRUPT_NODE_POINTER_RECEIVE, 1U);
    XMC_UART_CH_EnableEvent(usr_urat_HW, XMC_UART_CH_EVENT_STANDARD_RECEIVE);
    XMC_UART_CH_Start(usr_urat_HW);
}
