/*******************************************************************************
* File Name: cycfg_peripherals.h
*
* Description:
* Peripheral Hardware Block configuration
* This file was automatically generated and should not be modified.
* Configurator Backend 3.0.0
* device-db 4.1.0.3437
* mtb-xmclib-cat3 4.1.0.3609
*
********************************************************************************
* Copyright 2023 Cypress Semiconductor Corporation (an Infineon company) or
* an affiliate of Cypress Semiconductor Corporation.
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#if !defined(CYCFG_PERIPHERALS_H)
#define CYCFG_PERIPHERALS_H

#include "cycfg_notices.h"
#include "cycfg_routing.h"
#include "xmc_uart.h"

#if defined(__cplusplus)
extern "C" {
#endif

#define CYBSP_DEBUG_UART_ENABLED 1U
#define CYBSP_DEBUG_UART_NUM 0U
#define CYBSP_DEBUG_UART_HW XMC_UART0_CH0
#define CYBSP_DEBUG_UART_DX0_INPUT USIC0_CH0_DX0CR_DSEL_VALUE
#define CYBSP_DEBUG_UART_RECEIVE_EVENT_HANDLER USIC0_0_IRQHandler
#define CYBSP_DEBUG_UART_RECEIVE_EVENT_IRQN USIC0_0_IRQn
#define usr_urat_ENABLED 1U
#define usr_urat_NUM 0U
#define usr_urat_HW XMC_UART1_CH0
#define usr_urat_DX0_INPUT USIC1_CH0_DX0CR_DSEL_VALUE
#define usr_urat_RXFIFO_SIZE XMC_USIC_CH_FIFO_SIZE_2WORDS
#define usr_urat_RXFIFO_DPTR 2
#define usr_urat_RXFIFO_LIMIT 1
#define usr_urat_RECEIVE_EVENT_HANDLER USIC1_1_IRQHandler
#define usr_urat_RECEIVE_EVENT_IRQN USIC1_1_IRQn

extern const XMC_UART_CH_CONFIG_t CYBSP_DEBUG_UART_config;
extern const XMC_UART_CH_CONFIG_t usr_urat_config;

void init_cycfg_peripherals(void);

#if defined(__cplusplus)
}
#endif


#endif /* CYCFG_PERIPHERALS_H */
